import path from 'path';
import webpack from 'webpack';
import WebpackNotifierPlugin from 'webpack-notifier';
import WebpackBar from 'webpackbar';

export default {
  entry: {
    bundle: [
      path.resolve(__dirname, '../..', 'assets/private/js/app.js'),
      path.resolve(__dirname, '../..', 'assets/private/scss/app.scss'),
    ],
  },
  output: {
    path: path.resolve(__dirname, '../..', 'public'),
  },
  module: {
    rules: [
      {
        enforce: 'pre',
        test: /\.js$/,
        exclude: /node_modules\/(?!foundation-sites)/,
        loaders: ['babel-loader?cacheDirectory', 'eslint-loader'],
      },
      {
        test: require.resolve('jquery'),
        use: [
          {
            loader: 'expose-loader',
            options: 'jQuery',
          },
          {
            loader: 'expose-loader',
            options: '$',
          },
        ],
      },
    ],
  },
  plugins: [
    new WebpackNotifierPlugin({
      title: 'test',
      contentImage: path.join(
        __dirname,
        '../../..',
        'web/images/favicon/android-chrome-192x192.png',
      ),
      alwaysNotify: true,
    }),
    new WebpackBar(),
  ],
};
