import webpack from 'webpack';

const config = process.env.NODE_ENV === 'test'
  ? require('./webpack.config.test').default
  : require('./webpack.config').default;

const scss = {
  test: /\.scss$/,
  use: [
    { loader: 'style-loader' },
    { loader: 'css-loader' },
    { loader: 'sass-loader' }
  ]
};

const devRules = [...config.module.rules, scss];

export default {
  entry: config.entry,
  output: config.output,
  mode: "development",
  devtool: "source-map",
  module: {
    rules: devRules
  },
  plugins: config.plugins
};

